rm(list=ls())

etudiants <- read.table(file="afc_etudiants.txt",row.names=1,header=T,sep="\t")
print(etudiants)

#transformer le data.frame en tableau crois
etudiants <- as.table(etudiants)

#effectif total
n <- sum(etudiants)
print(n)

#marge ligne
sum.row <- apply(etudiants,1,sum)
sum.row <- matrix(sum.row,nrow=length(sum.row),ncol=1)

#marge colonne
sum.col <- apply(etudiants,2,sum)
sum.col <- matrix(sum.col,nrow=1,ncol=length(sum.col))

#tableau sous indpendance
e <- (sum.row %*% sum.col)/n
print(e)


#rsidus standardiss (au facteur 1/racine(n) prs)
res.std <- (1.0/sqrt(n))*(etudiants-e)/sqrt(e)
print(res.std)

#nombre d'axes max.
nb.axes <- min(nrow(res.std)-1,ncol(res.std)-1)

#dcomposition en valeurs singulires
etu.svd <- svd(res.std,nu=nb.axes,nv=nb.axes)
print(etu.svd)

#vrification orthonormalit
U <- matrix(etu.svd$u,nrow=5,ncol=3)
print(t(U)%*%U)
V <- matrix(etu.svd$v,nrow=4,ncol=3)
print(t(V)%*%V)

#les valeurs propres (inerties des axes)
print(round(etu.svd$d^2,4))

#profils marginaux
profil.row <- sum.row/n
profil.col <- sum.col/n

#coordonnes des modalits lignes - 1er facteur
print(round(etu.svd$d[1]*U[,1]/sqrt(profil.row),5))

#coordonnes des modalits colonnes - 1er facteur
print(round(etu.svd$d[1]*V[,1]/sqrt(profil.col),5))


