#vider la mmoire
rm(list=ls())

#chargement des donnes
library(xlsx)
media <- read.xlsx(file="media_prof_afc.xls",header=T,sheetIndex=1)
print(media)

#tranformation
rownames(media) <- media$Prof
media <- subset(media,select=-1)
print(media)

#fonction : calcul du profil
profil <- function(x){x/sum(x)*100}

#profil ligne
prof.ligne <- t(apply(media,1,profil))
print(round(prof.ligne,1))

#profil colonne
prof.colonne <- apply(media,2,profil)
print(round(prof.colonne,1))

#*******************
#AFC avec FactoMineR
#*******************

#charger le package
library(FactoMineR)

#lancer l'AFC
media.afc <- CA(media,ncp=2,graph=FALSE)

#liste des objets disponibles
print(attributes(media.afc))

#quelques statistiques sur le tableau de donnes
print(media.afc$call)

#tableau des valeurs propres et Scree plot
print(media.afc$eig)
plot(media.afc$eig[,1],type="b",main="Scree plot")

#coordonnes, contributions et cos2 - lignes
print(media.afc$row)

#coordonnes, contributions et cos2 - colonnes
print(media.afc$col)

#graphique
plot(media.afc,cex=0.75)
